org.apache.commons.collections4.bidimap

## Class AbstractDualBidiMap.Values<V>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View<Object,V,V>
    - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.Values<V>

- All Implemented Interfaces:
    Serializable, Iterable<V>, Collection<V>, Set<V>
  Enclosing class:
    AbstractDualBidiMap<K,V>

      protected static class AbstractDualBidiMap.Values<V>
      extends AbstractDualBidiMap.View<Object,V,V>
      implements Set<V>

  Inner class Values.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

      `parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Values(AbstractDualBidiMap<?,V> parent)` Constructs a new view of the BidiMap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Object value)`
    `Iterator<V>` | `iterator()`
    `boolean` | `remove(Object value)`

    - ### Methods inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

      `clear, equals, hashCode, removeAll, removeIf, retainAll`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `add, addAll, containsAll, decorated, isEmpty, setCollection, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### Values

          protected Values(AbstractDualBidiMap<?,V> parent)

      Constructs a new view of the BidiMap.
      Parameters:
        `parent` - the parent BidiMap

  - ### Method Detail

    - #### iterator

          public Iterator<V> iterator()

      Specified by:
        `iterator` in interface `Iterable<V>`
      Specified by:
        `iterator` in interface `Collection<V>`
      Specified by:
        `iterator` in interface `Set<V>`
      Overrides:
        `iterator` in class `AbstractCollectionDecorator<V>`

    - #### contains

          public boolean contains(Object value)

      Specified by:
        `contains` in interface `Collection<V>`
      Specified by:
        `contains` in interface `Set<V>`
      Overrides:
        `contains` in class `AbstractCollectionDecorator<V>`

    - #### remove

          public boolean remove(Object value)

      Specified by:
        `remove` in interface `Collection<V>`
      Specified by:
        `remove` in interface `Set<V>`
      Overrides:
        `remove` in class `AbstractCollectionDecorator<V>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.